Subject: Re: [BEHAVE] Proposed conf call on TURN encapsulations

From: Philip Matthews <[email-masked]>
Date: Tue, 1 Apr 2008 08:34:52 -0400

I am taking the liberty of moving this discussion on the BEHAVE list.

On Mon, 31-Mar-08, at 18:37 , Eric Rescorla wrote:
> Phillip writes:
>> I am trying to set up a conf call to talk about the encapsulations
>> TURN should use to transport packets between the client and the
>> server. Specifically, the appropriateness of using TCP or TLS/TCP as
>> transport for a UDP allocation (e.g. TCP from client to server, then
>> UDP from server to peer), and the alternate encapsulations suggested
>> by Hadriel in his TWIST document.
>
> I'm pretty confused about both what's on the table and the decision
> making structure here.
>
> 1. Is there still a design team?
> 2. If so, who is on it and what are its responsibilities vis-a-vis
>   the WG?

There are the authors of the document, but because the document is  
(hopefully) in the final stages at this point, I am trying to involve  
the entire working group in major decisions.  Thus the proposed  
conference call on TURN for next week is open to anyone who wishes to  
attend, as the previous two calls have been.

>
>
> 4. What exact issues are you proposing we discuss? It looks to me
>   like they are:
>
>   - Should we remove TCP and TCP/TLS encapsulations for UDP?
>   - Should we discard the current encapsulation for one that
>     looks more like TWIST?
>
>   I'd like to observe that the second question is not mere bit
>   shuffling. It's a complete architectural rethink of the system
>   that more or less hits the reset button on TURN.

Those are the issues.
The second one is a major change, but if we decided to make this  
change in TURN, it might not be as big a rewrite in the document as  
the previous two revisions.
However, the reason I want to discuss it is that I don't feel I  can  
proceed with TURN if many people are feeling that TWIST offers a  
better encapsulation scheme.

- Philip

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 01 Apr 2008 05:47:54 -0700

At Tue, 1 Apr 2008 08:34:52 -0400,
> attend, as the previous two calls have been.

If this change is made you will not be in anything close to the
final stages.

> the previous two revisions.

The size of a change is not measured in the number of new words
you have to write.

-Ekr